# Opensips-Pi-REST

A Restful API to expose Opensips::Pi provisioning services to the web.   

## Installation

    $ gem install opensips-pi-rest

## Usage

    $ opensips-pi-rest start|stop

## Configuration

To configure the opensips-pi gem and customize bin path and/or logger impl, just create a ruby script as follows:

    Opensips::Pi.bin = "PATH/TO/opensipsctl"
    Opensips::Pi.logger = ACustomLogger.class

Then, you should run opensips-pi-rest binary with a environment variable as follows:

    $ CONFIG=path/to/custom_config.rb opensips-pi-rest start
  
## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request

## License

This project is released under the MIT License. See LICENSE.txt for more information.
